Bug 1414866 - Command line 'hammer capsule sync' times out while process continues and is visible in monitor > tasks
Summary: Command line 'hammer capsule sync' times out while process continues and is v...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule - Content
Version: 6.2.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 15:53 UTC by matt.baker
Modified: 2020-12-14 08:01 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 18:02:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3343451 0 None None None 2018-04-04 07:35:00 UTC

Description matt.baker 2017-01-19 15:53:25 UTC
Description of problem:
Command issued = hammer capsule content synchronize --id 4
Output = [root@sat6host ~]# hammer capsule content synchronize --id 4
[Foreman] Password for satadmin: 
Could not synchronize capsule content:
  Error: Request Timeout

Version-Release number of selected component (if applicable):


How reproducible:
Every time in this environment

Steps to Reproduce:
1. have a bunch of unsynchronized content
2. execute hammer capsule content synchronize --id 4 via command line
3.

Actual results:
Could not synchronize capsule content:
  Error: Request Timeout

Expected results:
Successful job message or progress indicator in the command line.  Perhaps a confirmation that a sync job started.

Additional info:

Comment 1 Justin Sherrill 2017-01-19 15:55:44 UTC
To accomplish this, we'd need to move all of the repository creation and updating to the run phase rather than the planning phase.  I think there are a lot of good benefits to this.   Wouldn't be a trivial change though.

Comment 2 jcallaha 2017-01-20 19:00:48 UTC
Justin, would the fix in the bug below resolve the issues described in this report?
 
https://bugzilla.redhat.com/show_bug.cgi?id=1405134

Comment 3 Justin Sherrill 2017-01-20 19:09:14 UTC
That bz would help in that long task spawning would be able to be handled, but the real problem IMHO is that initiating a capsule sync tasks grows linearly with the # of capsules and # of repos to sync.  I think that should be fixed here.

Comment 7 Bryan Kearney 2018-09-04 18:02:33 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.